astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Cosmological Calculations (`astropy.cosmology`) »
- wpwaCDM

# wpwaCDM

class `astropy.cosmology.``wpwaCDM`(H0, Om0, Ode0, wp=-1.0, wa=0.0, zp=0, Tcmb0=2.725, Neff=3.04, m_nu=<Quantity 0.0 eV>, Ob0=None, name=None)

  Bases: `astropy.cosmology.FLRW`

  FLRW cosmology with a CPL dark energy equation of state, a pivot redshift, and curvature.

  The equation for the dark energy equation of state uses the CPL form as described in Chevallier & Polarski Int. J. Mod. Phys. D10, 213 (2001) and Linder PRL 90, 91301 (2003), but modified to have a pivot redshift as in the findings of the Dark Energy Task Force (Albrecht et al. arXiv:0901.0721 (2009)): w(a) = w_p + w_a (a_p - a) = w_p + w_a( 1/(1+zp) - 1/(1+z) ).

  Parameters:

  H0 : float or `Quantity`

  > Hubble constant at z = 0. If a float, must be in [km/sec/Mpc]

  Om0 : float

  > Omega matter: density of non-relativistic matter in units of the critical density at z=0.

  Ode0 : float

  > Omega dark energy: density of dark energy in units of the critical density at z=0.

  wp : float, optional

  > Dark energy equation of state at the pivot redshift zp. This is pressure/density for dark energy in units where c=1.

  wa : float, optional

  > Negative derivative of the dark energy equation of state with respect to the scale factor. A cosmological constant has wp=-1.0 and wa=0.0.

  zp : float, optional

  > Pivot redshift – the redshift where w(z) = wp

  Tcmb0 : float or scalar `Quantity`, optional

  > Temperature of the CMB z=0. If a float, must be in [K]. Default: 2.725 [K]. Setting this to zero will turn off both photons and neutrinos (even massive ones).

  Neff : float, optional

  > Effective number of Neutrino species. Default 3.04.

  m_nu : `Quantity`, optional

  > Mass of each neutrino species. If this is a scalar Quantity, then all neutrino species are assumed to have that mass. Otherwise, the mass of each species. The actual number of neutrino species (and hence the number of elements of m_nu if it is not scalar) must be the floor of Neff. Typically this means you should provide three neutrino masses unless you are considering something like a sterile neutrino.

  Ob0 : float or None, optional

  > Omega baryons: density of baryonic matter in units of the critical density at z=0. If this is set to None (the default), any computation that requires its value will raise an exception.

  name : str, optional

  > Name for this cosmological object.

  Examples

      >>> from astropy.cosmology import wpwaCDM
      >>> cosmo = wpwaCDM(H0=70, Om0=0.3, Ode0=0.7, wp=-0.9, wa=0.2, zp=0.4)

  The comoving distance in Mpc at redshift z:

      >>> z = 0.5
      >>> dc = cosmo.comoving_distance(z)

  Attributes Summary

  `wa` | Negative derivative of dark energy equation of state w.r.t.
  `wp` | Dark energy equation of state at the pivot redshift zp
  `zp` | The pivot redshift, where w(z) = wp

  Methods Summary

  `de_density_scale`(z) | Evaluates the redshift dependence of the dark energy density.
  `w`(z) | Returns dark energy equation of state at redshift `z`.

  Attributes Documentation

  `wa`

    Negative derivative of dark energy equation of state w.r.t. a

  `wp`

    Dark energy equation of state at the pivot redshift zp

  `zp`

    The pivot redshift, where w(z) = wp

  Methods Documentation

  `de_density_scale`(z)

    Evaluates the redshift dependence of the dark energy density.

    Parameters:

    z : array-like

    > Input redshifts.

    Returns:

    I : ndarray, or float if input scalar

    > The scaling of the energy density of dark energy with redshift.

    Notes

    The scaling factor, I, is defined by \rho(z) = \rho_0 I, and in this case is given by

    a_p = \frac{1}{1 + z_p} I = \left(1 + z\right)^{3 \left(1 + w_p + a_p w_a\right)} \exp \left(-3 w_a \frac{z}{1+z}\right)

  `w`(z)

    Returns dark energy equation of state at redshift `z`.

    Parameters:

    z : array-like

    > Input redshifts.

    Returns:

    w : ndarray, or float if input scalar

    > The dark energy equation of state

    Notes

    The dark energy equation of state is defined as w(z) = P(z)/\rho(z), where P(z) is the pressure at redshift z and \rho(z) is the density at redshift z, both in units where c=1. Here this is w(z) = w_p + w_a (a_p - a) where a = 1/1+z and a_p = 1 / 1 + z_p.